"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_day = require("../../common/libraries/day.js");
const ME_pass_method = require("./method.js");
const ME_pass_model = require("./model.js");
const gen_Enums = require("../../gen/Enums.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (MySwitchSelectBtn + _easycom_uni_icons)();
}
const MySwitchSelectBtn = () => "./components/SwitchSelectBtn.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      var _a, _b;
      (_a = ME_pass_method.method) == null ? void 0 : _a.getHouseList();
      (_b = ME_pass_method.method) == null ? void 0 : _b.getShowCurrentTime();
    });
    common_vendor.onUnload(() => {
      var _a, _b;
      clearTimeout((_b = (_a = ME_pass_model.useModel) == null ? void 0 : _a.timeoutObj) == null ? void 0 : _b.value);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V, _W, _X, _Y, _Z, __, _$, _aa, _ba, _ca, _da, _ea, _fa;
      return common_vendor.e({
        a: (_c = (_b = (_a = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value) == null ? void 0 : _c.length
      }, ((_f = (_e = (_d = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _d.listData) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {} : {}, {
        b: (_i = (_h = (_g = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _g.listData) == null ? void 0 : _h.value) == null ? void 0 : _i.length
      }, ((_l = (_k = (_j = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _j.listData) == null ? void 0 : _k.value) == null ? void 0 : _l.length) ? {} : {}, {
        c: (_o = (_n = (_m = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _m.listData) == null ? void 0 : _n.value) == null ? void 0 : _o.length
      }, ((_r = (_q = (_p = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _p.listData) == null ? void 0 : _q.value) == null ? void 0 : _r.length) ? common_vendor.e({
        d: common_vendor.t(((_u = (_t = (_s = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _s.currentHouse) == null ? void 0 : _t.value) == null ? void 0 : _u.full_name) || ""),
        e: ((_x = (_w = (_v = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _v.currentHouse) == null ? void 0 : _w.value) == null ? void 0 : _x.type) === 1
      }, ((_A = (_z = (_y = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _y.currentHouse) == null ? void 0 : _z.value) == null ? void 0 : _A.type) === 1 ? {
        f: common_vendor.t((_E = common_vendor.unref(gen_Enums.HouseOccupantsHouseRelationEnum)[(_D = (_C = (_B = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _B.currentHouse) == null ? void 0 : _C.value) == null ? void 0 : _D.house_relation]) == null ? void 0 : _E.text),
        g: common_vendor.t((_G = (_F = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _F.showCurrentTime) == null ? void 0 : _G.value)
      } : {}, {
        h: ((_J = (_I = (_H = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _H.currentHouse) == null ? void 0 : _I.value) == null ? void 0 : _J.type) === 2
      }, ((_M = (_L = (_K = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _K.currentHouse) == null ? void 0 : _L.value) == null ? void 0 : _M.type) === 2 ? {
        i: (_O = (_N = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _N.qrCode) == null ? void 0 : _O.value,
        j: ((_S = (_R = (_Q = (_P = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _P.currentHouse) == null ? void 0 : _Q.value) == null ? void 0 : _R.renovation_workers) == null ? void 0 : _S.url) || "https://pay-test-1369486729.cos.ap-guangzhou.myqcloud.com/uploads/cs-test/01KFANM6DNBTBEATX9Y8KA9TH2.png",
        k: common_vendor.t(((_V = (_U = (_T = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _T.currentHouse) == null ? void 0 : _U.value) == null ? void 0 : _V.visitor_name) || ""),
        l: common_vendor.t(common_vendor.unref(common_libraries_day.getDate)(((_Y = (_X = (_W = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _W.currentHouse) == null ? void 0 : _X.value) == null ? void 0 : _Y.visit_start_time) || "")),
        m: common_vendor.p({
          type: "right",
          color: "#B6B6B6",
          size: "20"
        }),
        n: common_vendor.t(common_vendor.unref(common_libraries_day.getDate)(((_$ = (__ = (_Z = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _Z.currentHouse) == null ? void 0 : __.value) == null ? void 0 : _$.code_expired_at) || ""))
      } : {}) : {
        o: common_vendor.p({
          type: "close",
          color: "#CF1322",
          size: "60"
        })
      }, {
        p: common_vendor.n(((_ca = (_ba = (_aa = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _aa.listData) == null ? void 0 : _ba.value) == null ? void 0 : _ca.length) ? "pass_page" : "pass_page close_pass_page"),
        q: common_vendor.n(((_fa = (_ea = (_da = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _da.listData) == null ? void 0 : _ea.value) == null ? void 0 : _fa.length) ? "success_page" : "close_page")
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/pass/index.vue"]]);
wx.createPage(MiniProgramPage);
